from src.detections.date import DateDetection
from src.detections.detection import (
    Detection,
    CityDetection,
    CountryDetection,
    EmailDetection,
    HydronymDetection,
    KRSDetection,
    LocationDetection,
    MorphosyntacticInfoMixin,
    NameDetection,
    NumberDetection,
    OrganizationNameDetection,
    PhoneNumberDetection,
    ProperNameDetection,
    SerialNumberDetection,
    StreetNameDetection,
    OtherDetection,
    SurnameDetection,
    TINDetection,
    TitleDetection,
    UrlDetection,
    UserDetection,
)
from src.utils.utils import get_sublcasses

DETECTION_CLASSES_MAP = {
    detection_class.TYPE_NAME: detection_class
    for detection_class in get_sublcasses(Detection)
}

__all__ = [
    "Detection",
    "CityDetection",
    "CountryDetection",
    "EmailDetection",
    "HydronymDetection",
    "KRSDetection",
    "LocationDetection",
    "MorphosyntacticInfoMixin",
    "NameDetection",
    "NumberDetection",
    "OrganizationNameDetection",
    "PhoneNumberDetection",
    "ProperNameDetection",
    "SerialNumberDetection",
    "StreetNameDetection",
    "OtherDetection",
    "SurnameDetection",
    "TINDetection",
    "TitleDetection",
    "UrlDetection",
    "UserDetection",
    "DateDetection",
]
